# wxRichTextFormattingDialogFactory Class Reference
[Rich Text]

`#include <wx/richtext/richtextformatdlg.h>`

Inheritance diagram for wxRichTextFormattingDialogFactory:
[legend]

## Detailed Description

This class provides pages for wxRichTextFormattingDialog, and allows other customization of the dialog.

A default instance of this class is provided automatically. If you wish to change the behaviour of the formatting dialog (for example add or replace a page), you may derive from this class, override one or more functions, and call the static function wxRichTextFormattingDialog::SetFormattingDialogFactory.

##

Library: wxRichText

Category: Rich Text

## Public Member Functions
| wxRichTextFormattingDialogFactory ()
| Constructor.
virtual | ~wxRichTextFormattingDialogFactory ()
| Destructor.
virtual bool | CreateButtons (wxRichTextFormattingDialog *dialog)
| Creates the main dialog buttons.
virtual wxPanel * | CreatePage (int page, wxString &title, wxRichTextFormattingDialog *dialog)
| Creates a page, given a page identifier.
virtual bool | CreatePages (long pages, wxRichTextFormattingDialog *dialog)
| Creates all pages under the dialog's book control, also calling AddPage().
virtual int | GetPageId (int i) const
| Enumerate all available page identifiers.
virtual int | GetPageIdCount () const
| Gets the number of available page identifiers.
virtual int | GetPageImage (int id) const
| Gets the image index for the given page identifier.
virtual bool | SetSheetStyle (wxRichTextFormattingDialog *dialog)
| Set the property sheet style, called at the start of wxRichTextFormattingDialog::Create.
virtual bool | ShowHelp (int page, wxRichTextFormattingDialog *dialog)
| Invokes help for the dialog.

List of all members.

## Constructor & Destructor Documentation

wxRichTextFormattingDialogFactory::wxRichTextFormattingDialogFactory | ( |  | ) |

Constructor.

virtual wxRichTextFormattingDialogFactory::~wxRichTextFormattingDialogFactory | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual bool wxRichTextFormattingDialogFactory::CreateButtons | ( | wxRichTextFormattingDialog * | dialog | ) | `[virtual]`

Creates the main dialog buttons.

virtual wxPanel* wxRichTextFormattingDialogFactory::CreatePage | ( | int | page,
|  | wxString & | title,
|  | wxRichTextFormattingDialog * | dialog |
| ) |  |  | `[virtual]`

Creates a page, given a page identifier.

virtual bool wxRichTextFormattingDialogFactory::CreatePages | ( | long | pages,
|  | wxRichTextFormattingDialog * | dialog |
| ) |  |  | `[virtual]`

Creates all pages under the dialog's book control, also calling AddPage().

virtual int wxRichTextFormattingDialogFactory::GetPageId | ( | int | i | ) | const`[virtual]`

Enumerate all available page identifiers.

virtual int wxRichTextFormattingDialogFactory::GetPageIdCount | ( |  | ) | const`[virtual]`

Gets the number of available page identifiers.

virtual int wxRichTextFormattingDialogFactory::GetPageImage | ( | int | id | ) | const`[virtual]`

Gets the image index for the given page identifier.

virtual bool wxRichTextFormattingDialogFactory::SetSheetStyle | ( | wxRichTextFormattingDialog * | dialog | ) | `[virtual]`

Set the property sheet style, called at the start of wxRichTextFormattingDialog::Create.

virtual bool wxRichTextFormattingDialogFactory::ShowHelp | ( | int | page,
|  | wxRichTextFormattingDialog * | dialog |
| ) |  |  | `[virtual]`

Invokes help for the dialog.

|  | [ top ]